/*
* HMG Grid Demo
* (c) 2005 Roberto Lopez
*/
#include "hmg.ch"

Function Main

   Local aRows [75] [5]
   private aGridData := {}
   set date ital
   set century on   
   
   loaddata()

	define window Form_1 aT 0, 0 width 640 height 440 title 'GridPlus' MAIN
      define grid grid_1
         row 10
         col 10
         width 620
         height 330
         headers { "Date", "Particulars", "Debit", "Credit", "Balance" }
         widths { 140, 140, 140, 140, 140} 
         justify { 0, 0, 1, 1, 1 } 
         items aGridData
         value 1
      end grid
      define button button_1
         row 340
         col 10
         caption "Print"
         action doprint()
      end button
	end window
   form_1.center
   form_1.activate
RETURN


function doprint
   oGridPlus := GridPlus():new()
   with object oGridPlus
      :addGridData( 'Form_1', 'grid_1' )
      :ReportHeader1 := 'XYZ Company'
      :ReportHeader2 := 'Ledger Report From 01-04-2016 to 20-11-2016'
      :ReportHeader3 := 'Account of ABC & Co., Ltd.,'
      :ColumnWidths := { 20, 70, 26, 26, 33, 0 } // mm
      :ReportFooter := 'User: S. Rathinagiri '
      :IncludeDate := .t.
      :IncludeTime := .t.
      :DateTimeAlignment := 2 // center
      :ShowGUI() // or PrintGrid() for direct print preview without showing GridPlus window
   endwith
return nil

function loaddata
   aGridData := { ;
            { "01-04-2016","By Opening Balance ","","       50,501.00","       50,501.00 CR" } , ;
            {"10-05-2016","By Vat Tax","","        2,305.00","       52,806.00 CR" } , ;
            {"10-05-2016","By Chemical Purchases","","       46,101.00","       98,907.00 CR" } , ;
            {"","(B.No. 0365)","","","" } , ;
            {"25-05-2016","By Vat Tax","","        2,503.00","     1,01,410.00 CR" } , ;
            {"25-05-2016","By Chemical Purchases","","       50,058.00","     1,51,468.00 CR" } , ;
            {"","(B.No. 0451)","","","" } , ;
            {"04-06-2016","By Chemical Purchases","","       50,058.00","     2,01,526.00 CR" } , ;
            {"04-06-2016","By Vat Tax","","        2,503.00","     2,04,029.00 CR" } , ;
            {"","(B.No. 0546)","","","" } , ;
            {"15-06-2016","By Vat Tax","","        2,642.00","     2,06,671.00 CR" } , ;
            {"15-06-2016","By Chemical Purchases","","       52,840.00","     2,59,511.00 CR" } , ;
            {"","(B.No. 0651)","","","" } , ;
            {"21-06-2016","By Vat Tax","","        3,307.00","     2,62,818.00 CR" } , ;
            {"21-06-2016","By Chemical Purchases","","       66,141.00","     3,28,959.00 CR" } , ;
            {"","(B.No. 0705)","","","" } , ;
            {"25-06-2016","To Sales","       11,869.00","","     3,17,090.00 CR" } , ;
            {"","(Invoice No. 67)","","","" } , ;
            {"01-07-2016","By Vat Tax","","        3,307.00","     3,20,397.00 CR" } , ;
            {"01-07-2016","By Chemical Purchases","","       66,141.00","     3,86,538.00 CR" } , ;
            {"","(B.No. 0817)","","","" } , ;
            {"21-07-2016","To Cash","       69,550.00","","     3,16,988.00 CR" } , ;
            {"","(Rt No 1239 For Idbi Payment (100 Rs. Ch. Ret.))","","","" } , ;
            {"02-08-2016","To Cash","       57,700.00","","     2,59,288.00 CR" } , ;
            {"","(Amount Paid To The Credit Of Nalco Idbi For Cheque)","","","" } , ;
            {"06-08-2016","By Vat Tax","","        2,666.00","     2,61,954.00 CR" } , ;
            {"06-08-2016","By Chemical Purchases","","       53,323.00","     3,15,277.00 CR" } , ;
            {"","(B.No. 1176)","","","" } , ;
            {"20-08-2016","By Vat Tax","","        2,277.00","     3,17,554.00 CR" } , ;
            {"20-08-2016","By Chemical Purchases","","       45,543.00","     3,63,097.00 CR" } , ;
            {"","(B.No. 1310)","","","" } , ;
            {"26-08-2016","By Vat Tax","","        2,619.00","     3,65,716.00 CR" } , ;
            {"26-08-2016","By Chemical Purchases","","       52,379.00","     4,18,095.00 CR" } , ;
            {"","(B.No. 1372)","","","" } , ;
            {"27-08-2016","To Sales","        9,204.00","","     4,08,891.00 CR" } , ;
            {"","(Invoice No. 150)","","","" } , ;
            {"17-09-2016","By Chemical Purchases","","       53,323.00","     4,62,214.00 CR" } , ;
            {"17-09-2016","By Vat Tax","","        2,666.00","     4,64,880.00 CR" } , ;
            {"","(B.No. 1600)","","","" } , ;
            {"24-09-2016","By Chemical Purchases","","       60,158.00","     5,25,038.00 CR" } , ;
            {"24-09-2016","By Vat Tax","","        3,008.00","     5,28,046.00 CR" } , ;
            {"","(B.No. 1699)","","","" } , ;
            {"01-10-2016","By Vat Tax","","        3,008.00","     5,31,054.00 CR" } , ;
            {"01-10-2016","By Chemical Purchases","","       60,158.00","     5,91,212.00 CR" } , ;
            {"","(B.No. 1788)","","","" } , ;
            {"07-10-2016","By Vat Tax","","        2,087.00","     5,93,299.00 CR" } , ;
            {"07-10-2016","By Chemical Purchases","","       41,747.00","     6,35,046.00 CR" } , ;
            {"","(B.No. 1849)","","","" } , ;
            {"14-10-2016","To Cash","       55,900.00","","     5,79,146.00 CR" } , ;
            {"","(Csah Paid Into Idbi)","","","" } , ;
            {"28-10-2016","To Cash","       63,166.00","","     5,15,980.00 CR" } , ;
            {"","(Cash Paid Into Idbi)","","","" } , ;
            {"05-11-2016","To Cash","       43,834.00","","     4,72,146.00 CR" } , ;
            {"","(Vr. No. 2238)","","","" } , ;
            {"16-11-2016","To Sales","        9,689.00","","     4,62,457.00 CR" } , ;
            {"","(Invoice No. 244)","","","" } , ;
            {"","Total","     3,20,912.00","     7,83,369.00","" } , ;
            {"","By Closing Balance","","     4,62,457.00","" } }
return nil